USE KAV;

DROP PROCEDURE IF EXISTS ___drop_fks
GO

CREATE PROCEDURE ___drop_fks()
BEGIN
	IF (upgd_if_table_exists( 'nac_hosts' ) <> 0 ) THEN
		IF (upgd_if_constraint_exists( 'FK_sr__svclist' ) <> 0 ) THEN
			CALL `upgd_drop_constraint_fk` ( 'nac_sr_svc_list', 'FK_sr__svclist');
		END IF;

		IF (upgd_if_constraint_exists( 'FK_sr__osguesses' ) <> 0 ) THEN
			CALL `upgd_drop_constraint_fk` ( 'nac_sr_os_guesses', 'FK_sr__osguesses');
		END IF;
		
		IF (upgd_if_constraint_exists( 'FK_nacdeviceshostid__nachostsid' ) <> 0 ) THEN
			CALL `upgd_drop_constraint_fk` ( 'nac_devices', 'FK_nacdeviceshostid__nachostsid');
		END IF;
	END IF;
END
GO

CALL ___drop_fks;

DROP PROCEDURE IF EXISTS ___drop_fks
GO
